Subject: bug#36733: 27.0.50; Eshell taking long time to enter directory after TAB completion

From: Jean Louis <[email-masked]>
Date: Tue, 30 Jul 2024 19:16:13 +0300

* Jim Porter <[email-masked]> [2024-07-28 23:06]:
> On 7/19/2019 2:21 PM, Jean Louis wrote:
> > 
> > I have observed that if I write in Eshell:
> > 
> > $ cd Documents
> > 
> > That it enters the directory quickly.
> > 
> > But if I write:
> > 
> > $ cd Docum TAB
> > 
> > it expands into
> > 
> > $ cd Documents/
> > 
> > then when I press ENTER it is taking sometimes 1 second or few seconds
> > just to enter the directory.
> > 
> > This also happens if inside of directory there is just one file.
> 
> In the intervening 5 years, there have been many improvements to both Eshell
> and Pcomplete. Are you still able to reproduce this? I tried locally, and
> everything seems ok to me, but maybe I'm just missing some essential step.

I do not see it happening, but that was one of reasons I stopped using it actively, so I can verify it over the time. I see that TAB completion now works fast unlike before.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

✡️🛡️ Proudly standing with Israel, a nation rooted in history and culture. Let's condemn hatred and promote understanding.

In support of Richard M. Stallman
https://stallmansupport.org/